[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Loki update tool on Phoebe3



Viestissä Perjantai 21. Helmikuuta 2003 02:07, Matt Wilson kirjoitti:
> On Fri, Feb 21, 2003 at 01:22:34AM +0200, Markku Kolkka wrote:
> > However, as loki_patch included in the update packege is a statically
> > linked executable that worked on previous RHL versions, this means
> > Phoebe3 somehow breaks binary compatibility.
>
> I would like to get my hands on the binary, and test data that
> reproduces the crash.  

ftp://ftp.planetmirror.com/pub/lokigames/updates/smac/smac-6.0a-x86.run

chmod +x smac-6.0a-x86.run
./smac-6.0a-x86.run
Verifying archive integrity...OK
Uncompressing Sid Meier's Alpha Centauri 6.0a Update...................
./update.sh: line 60:  1624 Segmentation fault      loki_patch --verify 
patch.dat
The program returned an error code (1)

Use "./smac-6.0a-x86.run --keep" to extract the contents of the upgrade 
script. The source code to loki_patch is in 
ftp://ftp.planetmirror.com/pub/lokigames/open-source/loki_patch

-- 
	Markku Kolkka
	markku kolkka koti soon fi





[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]